<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:util="xalan://com.ca.usm.xmlt.XmltUtil" extension-element-prefixes="util">
<xsl:variable name="xslsharedcontent" select="document(concat('../../locale/',/xmlRoot/icuser/iclocale,'/request/requestshared.xml'))/shared/status" />
<xsl:param name="AddResult"/>
<xsl:param name="ErrorResult"/>
<xsl:variable name="showfoldericon" select="/xmlRoot/COLLECTION/INFO/show_folder_icons_on_browse_catalog/LITERAL='true'" />
<xsl:include href="../includes.xsl" />
<xsl:include href="catalogsubbrowse.xsl" />

<xsl:variable name="editReqID" select="$uservars[icvariableid='KEEP_editReqID']/icvalue" />
<xsl:variable name="editReqName" select="$uservars[icvariableid='KEEP_editReqName']/icvalue" />
<xsl:variable name="countDelegates" select="/xmlRoot/COLLECTION/INFO/SER_REQ_DEL_USER_COUNT" />
<!-- SLCM-21932 -->
<xsl:variable name="error_code" select="/xmlRoot/COLLECTION/INFO/error_code" />
<xsl:variable name="error_name" select="$xslcontent/e_codes/access_denied" /> 

<xsl:template match="xmlRoot">
  <xsl:apply-templates select="." mode="include">
    <xsl:with-param name="script_date" select="true()" /> 
    <xsl:with-param name="script_time" select="true()" />
    <xsl:with-param name="body_calendar" select="true()" />
    <xsl:with-param name="title" select="$xslcontent/page_title" />
  </xsl:apply-templates>
</xsl:template>
<xsl:template match="xmlRoot" mode="script_imports">
  <script src="explorer/scripts/dynamictabs.js"></script>
  <script src="explorer/scripts/jquery.js"></script>
  <script src="explorer/scripts/slider.js"></script>
</xsl:template>

<xsl:variable name="rootID" select="/xmlRoot/COLLECTION/INFO/CURRENT_FOLDER/id/LITERAL"/>
<xsl:variable name="noOfServicesPerPage" select="number('6')" />

<xsl:template match="xmlRoot" mode="script_customcode">
  <xsl:variable name="escapedNameTemp">
      <xsl:value-of select="/xmlRoot/COLLECTION/usm_offering/offering_name/LITERAL"/>
  </xsl:variable>
  <xsl:variable name="escapedName">
    <xsl:call-template name="escapeQuot">
      <xsl:with-param name="text" select="$escapedNameTemp"/>
    </xsl:call-template>
  </xsl:variable>
    
  if ($.browser.msie  &amp;&amp; parseInt($.browser.version, 10) &lt; 9) { 
    $(function() {
      var el;
      
      $("select.ie8-auto-expand")
        .each(function() {
          el = $(this);
          el.data("origWidth", el.outerWidth()) // IE 8 will take padding on selects
        })
        .mouseenter(function(){
          $(this).css("width", "auto");
        })
        .bind("blur change", function(){
          el = $(this);
          el.css("width", el.data("origWidth"));
        });
    });
  }

  function kp(event)
  {
    if(event.keyCode==13) searchclick();
  }
  //hsuja04 there is an old searchclick() under this one, but it does not seem to work
  //I have copied this one from catalogbrowse page and modify the icguinodeinfo index to 2
  function searchclick()
  {   
    var thestr = document.getElementById("searchcriteria").value;     
    var isSentenceSearch = "false";
    var words = null;
    var count = 0;
    
    thestr = trim(thestr); //remove leading and trailing spaces
    if (thestr.length == 0)
    {
      alert("<xsl:value-of select="$xslcontent/enter_valid_string" />");
      return;
    }
    //if search string starts and ends with single quote or double quotes
    if((thestr.charAt(0) == "\'" &amp;&amp; thestr.charAt(thestr.length-1) == "\'") || (thestr.charAt(0) == "\"" &amp;&amp; thestr.charAt(thestr.length-1) == "\"")) 
    {
      isSentenceSearch = "true";
      var str  = new String(thestr);
      if(str.charAt(0) == "\"" &amp;&amp; str.charAt(str.length-1) == "\"")
      {
        str = "\'" + str.substring(1, str.length - 1) + "\'"; //replace qouble quotes to single quote so that search will work
      }
      str = str.replace(/^\s+/g, '').replace(/\s+$/g, '');
      str = str.replace(/\s+/g, ' ');
      words = str.split(" ");
      for(i=0;i&lt;words.length;i++)
      {
        var word = new String(words[i]);
        
        if(word.charAt(0)=="\'" &amp;&amp; word.charAt(word.length-1)=="\'")
        {
          count++;
        }
      }
      if(count==words.length) //multiword search
      {
        isSentenceSearch = "false";
      }

    }
    else //multi word search
    {
      var str  = new String(thestr);
      str = str.replace(/^\s+/g, '').replace(/\s+$/g, '');
      str = str.replace(/\s+/g, ' ');
      words = str.split(" ");
    }

    var convertedStr  = new String(thestr);
    if(convertedStr.charAt(0) == "\"" &amp;&amp; convertedStr.charAt(convertedStr.length-1) == "\"")
    {
      convertedStr = "\'" + convertedStr.substring(1, convertedStr.length - 1) + "\'";  //replace qouble quotes to single quote so that search will work
    }
    convertedStr = convertedStr.replace(/\ /g,"% %");
    convertedStr = convertedStr.replace(/\'/g,"");
    convertedStr = convertedStr.replace(/^\s+/g, '').replace(/\s+$/g, '');
    convertedStr = convertedStr.replace(/\s+/g, ' ');
  
        var str = new String();
        var cmbo = document.getElementById("properties");
    //loop for all of the string types
    for(z=0;z&lt;cmbo.options.length;z++)
    {
      if(cmbo.options[z].value!="ALL" &amp;&amp; cmbo.options[z].getAttribute("type")=="string")
      {         
        if(isSentenceSearch=="true")
        {
          str += cmbo.options[z].value + dl2 + " like" + dl2 + "%" + convertedStr + "%";                    
          str += dl1 + " OR " + dl1;  
        }
        else  //multiple word search
        {
          for(i=0;i&lt;words.length;i++)
          {
            var newstr = words[i].replace(/\'/g,"");
            str += cmbo.options[z].value + dl2 + " like" + dl2 + "%" + newstr + "%";                    
            str += dl1 + " OR " + dl1;  
          }
          
        }
      }
	  
      if(cmbo.options[z].value!="ALL" &amp;&amp; !isNaN(thestr) &amp;&amp; cmbo.options[z].getAttribute("type")=="float")
      {
        //if search string is a number, then include amount in query
        // MADLA04 - SLCM-23144 - Fixing the broken Query
        str += cmbo.options[z].value + dl2 + " = " + dl2 + thestr;
        str += dl1 + " AND " + dl1;
        str += "item_type" + dl2 + "=" + dl2 + "3";  
        str += dl1 + " OR " + dl1;  
      } 
    }
    str = str.substring(0,str.length-6);
    
    var foldercombo = document.getElementById("foldercombo");   
    
    theForm = document.getElementById("hiddenformsearchcatalog");
    theForm.Args[0].value = foldercombo.options[foldercombo.selectedIndex].value;
    theForm.Args[1].value = str;
    theForm.searchstr.value = thestr;
    theForm.sparams.value = str;
    theForm.searchIn.value = foldercombo.options[foldercombo.selectedIndex].value;
    theForm.searchInstr.value = getInnerText(foldercombo.options[foldercombo.selectedIndex]);
    
    hiddenformsearchcatalog.submit();
  } 
  
  function init()
  {   
	
    <xsl:if test="string-length($ErrorResult)>0">
      document.getElementById("ecode_<xsl:value-of select="$ErrorResult"/>").style.display = "";
    </xsl:if>

	
	slider.init();	
	// BEGIN CUSTOM: if we have more than 6 services per page, then increase the limit to 8 	
	if ( slider.noOfServicesPerPage == 6 &amp;&amp; slider.numberOfPages &gt; 1 ) {
		slider.noOfServicesPerPage = 8;
		$("div.servicescarousel").height(586);
		slider.reset();
		slider.init();
	}
	// END CUSTOM 
		
	var tbody = $("#folder-table").children();
	var folderCount = tbody.children().size();
	
	foldersHeight = 0;
	isMoreAppended = false;
  leftPanelDefaultHeight = 448;
  ieGapPx = 0;
  <xsl:if test="$isie">
    ieGapPx = 4;
  </xsl:if>
  
	$(tbody.children()).each(function(){
		folderHeight = $(this).height();
    
    if(isMoreAppended || ((leftPanelDefaultHeight-16)-foldersHeight) &lt; 0){
      if($(this).attr('id') != 'empty_and_more' &amp;&amp; $(this).attr('id') != 'panel-footer-row'){
         $($(this).children()).each(function(){
           $(this).attr('class','hiddenFolders');
         });
       }
      if(!isMoreAppended){
        if ($("#folder-table .hiddenFolders").size() &gt; 0) {
          $("#folder-table .more").text('<xsl:value-of select="$xslcontent/more" />');
          isMoreAppended = true;
        }
      }

		} else {
      if( $(this).attr('id') != 'empty_and_more' &amp;&amp; $(this).attr('id') != 'panel-footer-row') {
        foldersHeight+=folderHeight;
      }
		}
	});

    if(!isMoreAppended){
      if ($("#folder-table .hiddenFolders").size() &gt; 0) {
        if ((leftPanelDefaultHeight-foldersHeight) &gt; 1)
          $('#empty_and_more').height(leftPanelDefaultHeight-foldersHeight-ieGapPx);
        else
          $('#empty_and_more').height(0);
                    
        $("#folder-table .more").text('<xsl:value-of select="$xslcontent/more" />');
        isMoreAppended = true;
      } else {
        <xsl:if test="count(/xmlRoot/COLLECTION/BROWSE_CATALOG/FOLDER)=0">
          leftPanelDefaultHeight = 403;
        </xsl:if>
        $('#empty_and_more').height(leftPanelDefaultHeight - foldersHeight);
      }      
    } else {
        if ((leftPanelDefaultHeight-foldersHeight) &gt; 1)
          $('#empty_and_more').height(leftPanelDefaultHeight-foldersHeight-ieGapPx);
        else
          $('#empty_and_more').height(0);
    }

  } 
  

  function stopwait()
  {
    if(waitdiv)waitdiv.style.visibility = "hidden";
      }
  function showwait()
  {
    waitdiv.style.left = (document.body.scrollWidth - waitdiv.offsetWidth)/2 + 0;
    waitdiv.style.top = (document.body.scrollHeight - waitdiv.offsetHeight)/2 + 0;
    waitdiv.style.visibility = "visible";
  }
  function expandFolders(){
  	if($('#folder-table .more').html()!=''){
	  	$('.hiddenFolders').attr('class','folder-content');
	  	$('#folder-table .more').html('');
	  	$('.folder-empty-space').height('0');
  	}
  }
  function detailsclick(oid, code)
  {
    //hsuja04 START GIS 
    if((code != undefined) &amp;&amp; (code != null) &amp;&amp; (code.toString().length > 0))
    {
      if(code.toUpperCase().substr(0,4) == "URL:")
      {
        code = code.substr(4,code.length-4);
        window.open(code);
        return;
      }
      <xsl:if test="$sdURL!=0">
      else if(code.toUpperCase().substr(0,3) == "SD:")
      {
        code = code.substr(3,code.length-3);
        if("<xsl:value-of select="$isEmbedded" />" != "0")
        {
          createRequest(code); //using Service Catalog as embedded frame
        }
        else
        {
          createPopupRequest(code); 
        }
        return;
      }
      </xsl:if>
    }
    //hsuja04 END
    
    var url = "<xsl:value-of select="concat(icservletname,'?Node=icguinode.',/xmlRoot/icguinode/icguinodeinfo[3])" />";
    <xsl:choose>
      <xsl:when test="string-length($editReqID)&gt;0">
        url += "&amp;Args=" + oid;
        url += "&amp;Args=" + "<xsl:value-of select="$editReqID"/>";                
      </xsl:when>
      <xsl:otherwise>
        url += "&amp;Args=" + oid;        
      </xsl:otherwise>
    </xsl:choose>     
    url += "&amp;ObjectID=" + oid;
    url += "&amp;NspPath=";
    window.location.href = url; 
    
  }
  function folderdrill(oid)
  { 
    var url = "<xsl:value-of select="concat(icservletname,'?Node=icguinode.',util:getNodeWithHandle(/xmlRoot/icguinode/icguinodeid,icuser/securityhandle))" />";
    url += "&amp;Args=" + oid;
    url += "&amp;ObjectID=" + oid;
    url += "&amp;NspPath=";
    window.location.href = url;
  }
  //hsuja04 START
  function openRequest(i)
  {
    var url;
    if(i == 1)
    {
      //Open request
      var url = "<xsl:value-of select="concat($sdURL, '?OP=JUST_GRONK_IT+HTMPL=both_cr_sm.htmpl+KEEP.SHOWOPEN=1')" />";
    }
    else if(i == 2)
    {
      //Pending request
      url = "<xsl:value-of select="concat($sdURL, '?OP=JUST_GRONK_IT+HTMPL=frame_service_catalog.htmpl+Type=7')" />";
    }
    
    parent.parent.location.href = url;
  }
  //for catalog end user
  function createRequest(catagoryName)
  {
    var url = "<xsl:value-of select="concat($sdURL, '?OP=CREATE_NEW+FACTORY=cr+KEEP.catName=')" />";
    url += escape(catagoryName) + "+KEEP.supportOnly=1";
    parent.parent.location.href = url;    
  }
  // need to open request as a popup window for analyst
  function createPopupRequest(catagoryName)
  {
    //we need to change the backend code to append the primary service desk host information
    var url = "<xsl:value-of select="concat($sdURL, '?OP=CREATE_NEW+FACTORY=cr+KEEP.catName=')" />";
    url += escape(catagoryName) + "+KEEP.supportOnly=1";
    window.open(url);
  }
  <xsl:if test="/xmlRoot/COLLECTION/INFO/default_layout='8' or /xmlRoot/COLLECTION/INFO/default_layout='9' or true()">
  jQuery(document).ready(function() {
	$("#filter").emptyText("<xsl:value-of select="$xslcontent/filter" />");
    $("#filter").bind('keyup', function() {
      var field = $(this);
      
      slider.reset();
      if (field.val() != "") {
        var expr = "div.servicescarouselhiddendiv li:Contains('" + field.val() + "')";
        slider.initPages($(expr));
      } else {
      	slider.init();
      }
    });
    <xsl:if test="$isie">
    $("ul.dropdown").each(function(i,e) {
      $("li",e).bind({
        'mouseover': function() {$(this).addClass('hover')},
        'mouseout': function() {$(this).removeClass('hover')}
      });
    });
    </xsl:if>
   });
  </xsl:if>
</xsl:template>
<xsl:template match="xmlRoot" mode="body_attributes"> 
  <xsl:attribute name="onload">init()</xsl:attribute>
</xsl:template>
<xsl:template match="xmlRoot" mode="body_content">
  <xsl:choose>
    <xsl:when test="/xmlRoot/COLLECTION/INFO/default_layout='8' or /xmlRoot/COLLECTION/INFO/default_layout='9' or true()">	
      <xsl:call-template name="layout_8" />
    </xsl:when>
    <xsl:otherwise>
      <xsl:call-template name="oldLayout" />
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>
<xsl:template name="searchBox">
      <td colspan="3" class="searchbar">

      <!-- *** SEARCH TABLE START *** -->
       
        <table id="searchTable" name="searchTable" width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td nowrap="true" class="label"> 
              <xsl:value-of select="$xslcontent/search_in" />&#xa0;
              <select id="foldercombo" style="width:150px" class="ie8-auto-expand">
                <option title="{$xslcontent/entire_catalog}" alt="{$xslcontent/entire_catalog}" value=""><xsl:value-of select="$xslcontent/entire_catalog"/></option>
                <xsl:if test="count(/xmlRoot/COLLECTION/PATH/OFFERING)&gt;1">
                  <option title="{/xmlRoot/COLLECTION/INFO/CURRENT_FOLDER/name/LITERAL}" alt="{/xmlRoot/COLLECTION/INFO/CURRENT_FOLDER/name/LITERAL}" value="{/xmlRoot/COLLECTION/INFO/CURRENT_FOLDER/id/LITERAL}" selected="true">
                    <xsl:apply-templates select="/xmlRoot/COLLECTION/INFO/CURRENT_FOLDER/name/LITERAL" mode="shortenName">
                      <xsl:with-param name="noOfChars" select="60"></xsl:with-param>
                    </xsl:apply-templates>
                  </option>
                  <xsl:for-each select="/xmlRoot/COLLECTION/BROWSE_CATALOG/FOLDER[folder_parent_id/LITERAL=$rootID]">
                    <option title="{folder_name/LITERAL}" alt="{folder_name/LITERAL}" value="{folder_id/LITERAL}">
                      <xsl:apply-templates select="folder_name/LITERAL" mode="shortenName">
                        <xsl:with-param name="noOfChars" select="60"></xsl:with-param>
                      </xsl:apply-templates>
                    </option>
                    <xsl:variable name="curOID" select="folder_id/LITERAL"/>
                    <xsl:for-each select="/xmlRoot/COLLECTION/BROWSE_CATALOG/FOLDER[folder_parent_id/LITERAL=$curOID]">
                      <option title="{folder_name/LITERAL}" alt="{folder_name/LITERAL}" value="{folder_id/LITERAL}">&#xa0;&#xa0;&gt;
                        <xsl:apply-templates select="folder_name/LITERAL" mode="shortenName">
                          <xsl:with-param name="noOfChars" select="60"></xsl:with-param>
                        </xsl:apply-templates>
                      </option>
                    </xsl:for-each>
                  </xsl:for-each>
                </xsl:if> 
              </select>&#xa0;
              <select id="properties" style="display:none">
                <xsl:for-each select="$xslcontent/properties/*">
                  <option type="{@type}" value="{@tblname}"><xsl:value-of select="."/></option>
                </xsl:for-each>
              </select>
              <input type="text" size="35" onkeypress="kp(event)" id="searchcriteria" />&#xa0;
            </td>
            <td>
              <table border="0" class="t">
                <tr>                  
                  <td>
                    <xsl:call-template name="page_button">
                      <xsl:with-param name="id" select="'goButton'" />
                      <xsl:with-param name="text" select="$xslcontent/go" />
                      <xsl:with-param name="onclick">javascript:searchclick()</xsl:with-param>
                    </xsl:call-template>
                  </td>
                </tr>
              </table>
            </td>
        
        <!-- *** SEARCH TABLE END *** -->

    </tr>
  </table>
  </td>

</xsl:template>
<xsl:template name="oldLayout">
  <table id="webstoreExpanded" name="webstoreExpanded" width="100%" cellpadding="0" cellspacing="0" border="0">
    <tr>
    <xsl:call-template name="searchBox"/>
            <td width="100%" style="padding-left:25px" align="right" nowrap="true">             
              <a href="{concat(icservletname,'?Node=icguinode.',icguinode/icguinodeinfo[4])}" class="quick_start_link">
              <xsl:value-of select="$xslcontent/open_requests" />
              <xsl:text>(</xsl:text>
                <xsl:value-of select="/xmlRoot/COLLECTION/COUNT/open_requests_count/LITERAL"/>
                <xsl:text>)</xsl:text>
              </a>
              <span class="quick_start_link_desc"> | </span>
              <a href="{concat(icservletname,'?Node=icguinode.',icguinode/icguinodeinfo[6])}" class="quick_start_link">
                <xsl:value-of select="$xslcontent/pending_action"/>
                <xsl:text>(</xsl:text>
                <xsl:value-of select="/xmlRoot/COLLECTION/COUNT/pending_action_count/LITERAL"/>
                <xsl:text>)</xsl:text>
              </a>
              <span class="quick_start_link_desc"> | </span>
              <a href="{concat(icservletname,'?Node=icguinode.',icguinode/icguinodeinfo[5])}" class="quick_start_link"><span class="sprite-inline"><span class="css-sprite sprite-shopping_cart"></span></span>
                <xsl:value-of select="$xslcontent/cart"/>
                <xsl:text>(</xsl:text>
                <xsl:value-of select="/xmlRoot/COLLECTION/COUNT/cart_count/LITERAL"/>
                <xsl:text>)</xsl:text>
              </a>&#xa0;
            </td>
          </tr> 
        </table>                                  

  <table id="crumbtable" class="breadcrumb_trail" cellpadding="1" cellspacing="0">
    <tr id="crumbTR">
      <xsl:for-each select="/xmlRoot/COLLECTION/PATH/OFFERING">
        <xsl:if test="not(position()=last()) or (position()=last() and position()=1)">
          <td>        
            <xsl:choose>
              <xsl:when test="parent_id/LITERAL='-1'">
                <a class="breadcrumb" href="{concat(icservletname,'?Node=icguinode.',/xmlRoot/icguinode/icguinodeinfo[1])}">
                  <xsl:choose><!--hsuja04-->
                    <xsl:when test="$isEmbedded!='0'">
                      <xsl:attribute name="title"><xsl:value-of select="$xslcontent/catalog" /></xsl:attribute>
                      <xsl:value-of select="$xslcontent/catalog" />
                    </xsl:when>
                    <xsl:otherwise>
                      <xsl:attribute name="title"><xsl:value-of select="$xslcontent/home" /></xsl:attribute>
                      <xsl:value-of select="$xslcontent/home" />
                    </xsl:otherwise>
                  </xsl:choose>
                </a>
              </xsl:when>
              <xsl:otherwise>
                <a class="breadcrumb" title="{name/LITERAL}" href="javascript:folderdrill('{id/LITERAL}')">
                  <xsl:value-of select="name/LITERAL" />
                </a>
              </xsl:otherwise>
            </xsl:choose>   
          </td> 
          <td><a class="breadcrumb_current">></a></td>
        </xsl:if>               
      </xsl:for-each>
      <td>
        <xsl:choose>
          <xsl:when test="/xmlRoot/COLLECTION/PATH/OFFERING[position()=last()]/parent_id/LITERAL='-1'">
            <a class="breadcrumb_current" id="lastCrumb"><xsl:value-of select="$xslcontent/unknown" /></a>   <!-- not categorized -->
          </xsl:when>
          <xsl:otherwise>   
            <a class="breadcrumb_current" id="lastCrumb"><xsl:value-of select="/xmlRoot/COLLECTION/INFO/CURRENT_FOLDER/name/LITERAL" /></a>  
          </xsl:otherwise>
        </xsl:choose> 
      </td> 
    </tr> 
  </table>
   <!-- To display Context on yellow bar calling the Template DisplayContextDetails from includes.xsl -->
  <xsl:if test="$countDelegates>0"> 
      <xsl:call-template name="DisplayContextDetails"><xsl:with-param name="strMessage" select="$xslcontent/contextuser_message"/></xsl:call-template>
    </xsl:if>
 
  <xsl:if test="string-length($editReqID)&gt;0">
    <span id="editmsg" name="editmsg">
      <table class="message" border="0" cellpadding="0" cellspacing="0" width="100%">
        <tr>
          <td>
            <table border="0" cellpadding="2" cellspacing="0" >
              <tr>
                <td><img src="images/instruction.png" align="absmiddle"/></td>
                <td class="data">
                  <xsl:value-of select="concat($xslcontent/edit_message,' ')"/>
                  <xsl:value-of select="concat($editReqName,' (',$editReqID,')')"/>
                  <xsl:if test="string-length(icguinode/icguinodeinfo[8])&gt;0">
                    &#xa0;<a href="{concat(/xmlRoot/icservletname,'?Node=icguinode.',/xmlRoot/icguinode/icguinodeinfo[8],'&amp;Args=',$editReqID,'&amp;KEEP_editReqID=null&amp;KEEP_editReqName=null&amp;KEEP_returnNode=null')}" title="{concat($xslcontent/view_request_profile,' ',$editReqID)}"><xsl:value-of select="$xslcontent/cancel_edit_message"/></a>
                  </xsl:if>
                </td>
              </tr>   
            </table>
          </td>
        </tr>
      </table>
    </span>
  </xsl:if>
  <table id="error_message" width="100%" border="0" class="t" cellpadding="0" cellspacing="0">    
    <xsl:if test="string-length($ErrorResult)=0">
      <xsl:attribute name="style">display:none</xsl:attribute>
    </xsl:if>
    <tr>
      <td style="padding-right:5px;" >
        <table class="message" border="0" cellpadding="0" cellspacing="0" width="100%">
          <tr>
            <td>
              <img src="images/error_mark_16.png" align="absmiddle"/>&#xa0;
              <font class="label"><xsl:value-of select="$xslcontent/error"/></font>&#xa0;
              <xsl:for-each select="$xslcontent/e_codes/*">
                <font class="data" id="ecode_{@codevalue}" style="display:none">
                  <xsl:value-of select="."/>
                </font>
              </xsl:for-each>
            </td>
          </tr>
        </table>
      </td>
    </tr>   
  </table>
  <table id="success_message" width="100%" border="0" class="t" cellpadding="0" cellspacing="0">    
    <xsl:if test="string-length($AddResult)=0">
      <xsl:attribute name="style">display:none</xsl:attribute>
    </xsl:if>
    <tr>
      <td style="padding-right:5px;" >
        <table class="message" border="0" cellpadding="0" cellspacing="0" width="100%">
          <tr>
            <td>
              <img src="images/confirmation_16.png" align="absmiddle"/>&#xa0;
              <font class="data">
                <xsl:value-of select="$xslcontent/item_added_to_cart"/>
              </font>
            </td>
          </tr>
        </table>
      </td>
    </tr>   
  </table>
  <table style="padding-top:10px" width="100%" cellpadding="2" cellspacing="0" border="0">
    <tr>
      <td colspan="3" style="padding-left:5px">
        <font class="title" >
          <xsl:choose>
            <xsl:when test="count(/xmlRoot/COLLECTION/PATH/OFFERING)=1">
              <xsl:value-of select="$xslcontent/unknown" />  <!-- not categorized -->
            </xsl:when>
            <xsl:otherwise>   
              <xsl:value-of select="/xmlRoot/COLLECTION/INFO/CURRENT_FOLDER/name/LITERAL"/>
            </xsl:otherwise>
          </xsl:choose>
        </font>
      </td>
    </tr>
    <tr>
      <td colspan="3" style="padding-left:5px">
        <font class="t">
          <xsl:if test="string-length(/xmlRoot/COLLECTION/INFO/CURRENT_FOLDER/description/LITERAL)&gt;0">
            &#xa0;<xsl:value-of select="/xmlRoot/COLLECTION/INFO/CURRENT_FOLDER/description/LITERAL" />
          </xsl:if> 
          <xsl:if test="string-length(/xmlRoot/COLLECTION/INFO/CURRENT_FOLDER/info_link/LITERAL)&gt;0">
            &#xa0;<a target="_blank" style="text-decoration:underline" href="{/xmlRoot/COLLECTION/INFO/CURRENT_FOLDER/info_link/LITERAL}" title="{/xmlRoot/COLLECTION/INFO/CURRENT_FOLDER/info_link/LITERAL}"><xsl:value-of select="$xslcontent/learn_more" /></a>
          </xsl:if>
        </font>  
      </td>
    </tr>
    <tr style="padding-top:15px" >
      <td valign="top" width="5%">
        <table class="t" width="100%" cellpadding="0" cellspacing="0" border="0">
          <tr>
            <td class="sectiontd_left" style="padding:0px;"><img src="images/spacer.png" width="4" height="20" border="0"/></td>
            <td class="sectiontd" width="100%" style="padding:0px;"><xsl:value-of select="$xslcontent/browse"/></td>
            <td class="sectiontd_right" style="padding:0px;"><img src="images/spacer.png" width="4" height="20" border="0"/></td>
          </tr>
        </table>
        <table style="width:240px" class="page_section_content browsebox" width="100%" border="0" cellpadding="2" cellspacing="0">
          <!-- SHOW UP ONE LEVEL -->
          <tr class="instruction">
		  
            <td class="data">
              
			  <xsl:variable name="curpid" select="/xmlRoot/COLLECTION/PATH/OFFERING[position()=last()]/parent_id/LITERAL"/>			 
              <xsl:choose>
                <xsl:when test="(/xmlRoot/COLLECTION/PATH/OFFERING[id/LITERAL=$curpid]/parent_id/LITERAL='-1') or /xmlRoot/COLLECTION/PATH/OFFERING[position()=last()]/parent_id/LITERAL='-1'">
                  <a href="{concat(icservletname,'?Node=icguinode.',/xmlRoot/icguinode/icguinodeinfo[1])}"><img border="0" src="images/up_one_level.png" title="{$xslcontent/up_one_level}" alt="{$xslcontent/up_one_level}" align="absmiddle"/></a>
                  <a class="breadcrumb" title="{$xslcontent/up_one_level}" alt="{$xslcontent/home}" href="{concat(icservletname,'?Node=icguinode.',/xmlRoot/icguinode/icguinodeinfo[1])}">
                    <xsl:choose><!--hsuja04 GIS-->
                      <xsl:when test="$isEmbedded!='0'">
                        <xsl:value-of select="$xslcontent/catalog" />
                      </xsl:when>
                      <xsl:otherwise>
                        <xsl:value-of select="$xslcontent/home" />
                      </xsl:otherwise>
                    </xsl:choose>
                  </a>
                </xsl:when> 
                <xsl:otherwise>
                  <a href="javascript:folderdrill('{/xmlRoot/COLLECTION/PATH/OFFERING[position()=last()]/parent_id/LITERAL}')"><img border="0" src="images/up_one_level.png" title="{$xslcontent/up_one_level}" alt="{$xslcontent/up_one_level}" align="absmiddle"/></a>
                  <a class="breadcrumb" title="{$xslcontent/up_one_level}" alt="{$xslcontent/up_one_level}" href="javascript:folderdrill('{/xmlRoot/COLLECTION/PATH/OFFERING[position()=last()]/parent_id/LITERAL}')">
                    <xsl:value-of select="/xmlRoot/COLLECTION/PATH/OFFERING[id/LITERAL=$curpid]/name/LITERAL" />
                  </a>
                </xsl:otherwise>
              </xsl:choose> 
            </td> 
          </tr>
          <xsl:choose>
            <xsl:when test="count(/xmlRoot/COLLECTION/BROWSE_CATALOG/FOLDER)&gt;0 and count(/xmlRoot/COLLECTION/PATH/OFFERING)&gt;1">
              <tr>
                <td>
                  <table width="100%" border="0" cellspacing="0" cellpadding="0">				 
                    <xsl:apply-templates select="/xmlRoot/COLLECTION/BROWSE_CATALOG/FOLDER[folder_parent_id/LITERAL=$rootID]" mode="folders"/>
                  </table>  
                </td> 
              </tr> 
            </xsl:when> 
            <xsl:otherwise>			 
              <tr>			  
                <td class="data" style="padding:10px"><xsl:value-of select="$xslcontent/no_sub_folders"/></td>
              </tr> 
            </xsl:otherwise>
          </xsl:choose> 
        </table>
      </td>
      <td align="left" valign="top" id="menuSection" >
        
        <!-- ** Start OFFERINGS ** -->        
        
        <xsl:variable name="ccount" select="count(/xmlRoot/COLLECTION/FOLDER_OFFERINGS/OFFERING)"/>
        <table class="t" width="100%" cellpadding="0" cellspacing="0" border="0">
          <tr>
            <td class="sectiontd_left" style="padding:0px;"><img src="images/spacer.png" width="4" height="20" border="0"/></td>
            <td class="sectiontd" width="100%" nowrap="true" style="padding:0px;"><xsl:value-of select="$xslcontent/catalog_services" /></td>
            <td class="sectiontd_right" style="padding:0px;"><img src="images/spacer.png" width="4" height="20" border="0"/></td>
          </tr>
          <tr>
            <xsl:if test="$ccount=0">
              <xsl:attribute name="style">display:none</xsl:attribute>
            </xsl:if>
            <td class="table_navigation_top" colspan="3" align="right" width="99%" nowrap="true">
              <table cellpadding="0" cellspacing="4">
                <tr>
                  <td class="table_data_numeric">
                    1 - <xsl:value-of select="concat($ccount,' ',$xslcontent/of,' ',$ccount)"/>
                  </td>
                </tr>
              </table>
            </td>                 
          </tr>
        </table>
        <xsl:if test="$ccount=0">
          <table cellpadding="10" width="100%" cellspacing="1" border="0" class="table">
            <tr class="alternateB">
              <td class="data">
                <xsl:if test="count(/xmlRoot/COLLECTION/BROWSE_CATALOG/FOLDER)=0"><xsl:value-of select="$xslcontent/no_items"/></xsl:if>
                <xsl:if test="count(/xmlRoot/COLLECTION/BROWSE_CATALOG/FOLDER)&gt;0"><xsl:value-of select="$xslcontent/click_subcategory"/></xsl:if>
              </td>
            </tr>
          </table>
        </xsl:if>
        <xsl:if test="$ccount&gt;0">
          <table cellpadding="2" width="100%" cellspacing="1" border="0" class="table">
            <xsl:apply-templates select="/xmlRoot/COLLECTION/FOLDER_OFFERINGS/OFFERING" mode="offerings"/>        
          </table>
        </xsl:if>
        
        <!-- ** End OFFERINGS ** -->        
        
      </td>
   	  <xsl:call-template name="featured-offerings"/>
    </tr>
  </table>  
  <form style="display:none" method="post" action="{icservletname}" id="hiddenformsearchcatalog" name="hiddenformsearchcatalog" >
    <input type="hidden" name="Node" value="{concat('icguinode.',icguinode/icguinodeinfo[2])}" />
    <input type="hidden" name="Args" value=""/>
    <input type="hidden" name="Args" value=""/> 
    <input type="hidden" name="searchstr" />
    <input type="hidden" name="sparams" />
    <input type="hidden" name="searchIn" />
    <input type="hidden" name="searchInstr" />  
  </form> 
  
</xsl:template>

<xsl:template match="OFFERING" mode="offerings">
  <tr>
    <xsl:choose> 
      <xsl:when test="not(position() mod 2)"><xsl:attribute name="class">alternateB</xsl:attribute></xsl:when>
      <xsl:otherwise><xsl:attribute name="class">alternateA</xsl:attribute></xsl:otherwise>
    </xsl:choose> 
    <td>      
      <!-- DETAIL TABLE -->
      
      <table width='100%' cellpadding='1' border='0' cellspacing='0' style="margin-bottom:5px">
        <tr>
          <td rowspan="2" align="absmiddle">
            <xsl:if test="string-length(offering_image_file/LITERAL)&gt;0">
              <a href="javascript:detailsclick('{offering_id/LITERAL}', '{offering_code/LITERAL}')"><!--hsuja04 added offering_code field-->
                <img border="0" align="left" src="FileStore/images/offerings/{offering_image_file/LITERAL}" height="32" width="32"/>  
              </a>
            </xsl:if>
          </td>
          <td width="95%">
          <a href="javascript:detailsclick('{offering_id/LITERAL}', '{offering_code/LITERAL}')" class="quick_start_link">		
            <xsl:value-of select="util:ellipsis(offering_name/LITERAL,35)" />		
          </a>
          </td>
        </tr>
        <tr>
          <td>
            <xsl:if test="string-length(offering_description/LITERAL)&gt;0">
              <span class="data"><xsl:value-of select="offering_description/LITERAL" /></span>
            </xsl:if>
            <xsl:if test="string-length(offering_link/LITERAL)&gt;0">
              &#xa0;<a target="_blank" class="datalink" href="{offering_link/LITERAL}" title="{offering_link/LITERAL}"><xsl:value-of select="$xslcontent/learn_more" /></a>
            </xsl:if>
          </td>
        </tr>
      </table>
    </td>
  </tr> 
</xsl:template>

<xsl:template match="FOLDER" mode="folders">    
  <tr>      
    <xsl:if test="$showfoldericon">
      <td valign="top" align="left" class="folder-content" >
        <xsl:if test="string-length(folder_image_file/LITERAL)&gt;0">
          <img src="FileStore/images/offerings/{folder_image_file/LITERAL}" valign="center" align="absmiddle" height="32" width="32"/> 
        </xsl:if>
      </td>                       
    </xsl:if>
    <td width="100%" class="folder-content">
      <xsl:variable name="folderLinkTooltip" select="folder_name/LITERAL"/>
      <a href="javascript:folderdrill('{folder_id/LITERAL}')" alt="{$folderLinkTooltip}" title="{$folderLinkTooltip}" class="folder_label">
        <xsl:choose>
          <xsl:when test="folder_id/LITERAL=$rootID">
            <xsl:value-of select="$xslcontent/unknown"/> 
          </xsl:when>
          <xsl:otherwise>
            <xsl:value-of select="util:ellipsis(folder_name/LITERAL,28)" />
          </xsl:otherwise>
        </xsl:choose>                          
      </a>
      <font class="quick_start_link_desc">
        <xsl:choose>
          <xsl:when test="folder_id/LITERAL=$rootID or not_categorized_folder/LITERAL='true'">
            <br/><xsl:value-of select="$xslcontent/unknown_description"/>
          </xsl:when>
          <xsl:when test="string-length(folder_description/LITERAL)&gt;0">
            <br/><xsl:value-of select="folder_description/LITERAL"/>
          </xsl:when>
        </xsl:choose>                         
      </font>
      <table cellpadding="0" cellspacing="0" id="tr_{folder_id/LITERAL}">
        <tr>
          <td nowrap="true">
            <xsl:variable name="curOID" select="folder_id/LITERAL"/>
            <xsl:for-each select="/xmlRoot/COLLECTION/BROWSE_CATALOG/FOLDER[folder_parent_id/LITERAL=$curOID]">
              <xsl:variable name="escapedNameTemp">
                  <xsl:value-of select="folder_name/LITERAL"/>
              </xsl:variable>
              <xsl:variable name="escapedName">
                <xsl:call-template name="escapeQuot">
                  <xsl:with-param name="text" select="$escapedNameTemp"/>
                </xsl:call-template>
              </xsl:variable>
              <li>
                <a title="{$escapedName}" id="anchor_1" href="javascript:folderdrill('{folder_id/LITERAL}')" class="datalink">
                  <xsl:choose>
                    <xsl:when test="string-length($escapedName) &lt; 18" >
                      <xsl:value-of select="$escapedName" />
                    </xsl:when>
                    <xsl:otherwise>
                      <xsl:value-of select="concat(substring($escapedName,1,15),'...')" />
                    </xsl:otherwise>
                  </xsl:choose>
                </a>
              </li>           
            </xsl:for-each> 
          </td>
        </tr>   
      </table>  
    </td>
  </tr>
</xsl:template>
<xsl:template match="LITERAL" mode="shortenName">
  <xsl:param name="noOfChars" select="30"/>
  <xsl:choose>
    <xsl:when test="string-length(.) &lt; number($noOfChars)" >
      <xsl:value-of select="." />
    </xsl:when>
    <xsl:otherwise>
      <xsl:value-of select="concat(substring(.,1,number($noOfChars) - 5),'...')" />
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>
</xsl:stylesheet>